Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
BlackBerry Development Advisor
MSohm
Posts: 14,757
Registered: ‎07-09-2008
My Device: BlackBerry Passport

Re: Problem packaging with the 1.5 Eclipse plug-in

Did you install the BlackBerry plug-ins into a fresh instance of Eclipse (one that did not contain 1.3)?  What version of Eclipse are you using?  What version of BlackBerry Java SDK are you seeing this error on?  If you change the SDK version, does the error still occur?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
simon_hain
Posts: 16,282
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport

Re: Problem packaging with the 1.5 Eclipse plug-in

I managed to build my project by opening the BlackBerry_App_Descriptor.xml file. Did not change anything, did not save the file or change anything else.
Focused the project, used alt+shift+e, p and the packaging ran through.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Developer
hendrik
Posts: 63
Registered: ‎09-10-2009
My Device: Z10, Bold 9700
My Carrier: O2 Germany

Re: Problem packaging with the 1.5 Eclipse plug-in

It really seems that simply opening the BlackBerry_App_Descriptor.xml (without changing anything) resolves the error. That's the only thing I did before it started working for me, too.
----

My Twitter: @hendrik_dev
Developer
simon_hain
Posts: 16,282
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport

Re: Problem packaging with the 1.5 Eclipse plug-in

I used eclipse update to install the 1.5 plugin, the 1.3 was previously installed.
Eclipse is 3.6.2 Build id M20110210-1200

I am able to build the project since i opened the app descriptor.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Developer
rezkev
Posts: 31
Registered: ‎02-03-2010
My Device: 8520

Re: Problem packaging with the 1.5 Eclipse plug-in

You are right, that worked.

Thanks a lot.

Developer
rezkev
Posts: 31
Registered: ‎02-03-2010
My Device: 8520

Re: Problem packaging with the 1.5 Eclipse plug-in

The first time I got this problem I used Eclipse with 1.3 installed and updated to 1.5 through the update function. Then I installed the full installer of 1.5 (so new Eclipse and all). In both I had the same problem. The error was in the SDKs 4.6-6.0 only in projects with application icon and alternate entry point, other projects didn't have this problem.

BlackBerry Development Advisor
MSohm
Posts: 14,757
Registered: ‎07-09-2008
My Device: BlackBerry Passport

Re: Problem packaging with the 1.5 Eclipse plug-in

If any of you still have a copy of a project that triggers this error, can you please attach it to a case in Issue Tracker so I can have our development team investigate this further?  Thanks!

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
rezkev
Posts: 31
Registered: ‎02-03-2010
My Device: 8520

Re: Problem packaging with the 1.5 Eclipse plug-in

Sorry I corriged them all and I have copy only from source code, not from project itself.

Developer
rezkev
Posts: 31
Registered: ‎02-03-2010
My Device: 8520

Re: Problem packaging with the 1.5 Eclipse plug-in

Now I got other error in the original problem project. The project contains more source folders, some of them are common for all SDKs, some are SDK specific. I'm excluding the Common/com/jamo/common/SDK50/ folder form the 4.6 SDK solution build path and still I get the error:

C:\Eclipse-BB-Indigo\plugins\net.rim.ejde.componentpack4.6.0_4.6.0.23\components\bin\rapc.exe -convertpng -quiet codename=deliverables\Standard\4.6.0\MeuxAgent -sourceroot=C:\dpf\BlackBerry\MeuxAgent-Workspace\Common;C:\dpf\BlackBerry\MeuxAgent-Workspace\MeuxAgent46\src;C:\dpf\BlackBerry\MeuxAgent-Workspace\MeuxAgent46\res;C:\dpf\BlackBerry\MeuxAgent-Workspace\MeuxAgent46 -import=C:\Eclipse-BB-Indigo\plugins\net.rim.ejde.componentpack4.6.0_4.6.0.23\components\lib\net_rim_api.jar deliverables\Standard\4.6.0\MeuxAgent.rapc C:\dpf\BlackBerry\MeuxAgent-Workspace\MeuxAgent46\bin
Error preverifying class Constants
    java/lang/NoClassDefFoundError: com/jamo/common/SDK50/Constants
Error!: Error: preverifier failed: C:\Eclipse-BB-Indigo\plugins\net.rim.ejde.componentpack4.6.0_4.6.0.23\components\bin\preverify.exe -d ...
Packaging project MeuxAgent46 failed (took 1.656 seconds)

Where can I explicitly exclude the Constants file from the SDK5.0?

BlackBerry Development Advisor
MSohm
Posts: 14,757
Registered: ‎07-09-2008
My Device: BlackBerry Passport

Re: Problem packaging with the 1.5 Eclipse plug-in

How are you excluding it?  As a test, can you try to delete it from your project (make sure you have a backup first) and try to build again?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker